From: Steven Baltakatei Sandoval <baltakatei@gmail.com>
Date: Thu, 2 Jul 2020 19:58:43 +0000 (+0000)
Subject: style(unitproc):timeUntilNextHour lowerCaps returnState
X-Git-Tag: 0.2.0~5
X-Git-Url: https://zdv2.bktei.com/gitweb/BK-2020-03.git/commitdiff_plain/f54d9fe82b676b63e56e516aa764c723057c304c?ds=sidebyside

style(unitproc):timeUntilNextHour lowerCaps returnState
---

diff --git a/unitproc/bktemp-timeUntilNextHour b/unitproc/bktemp-timeUntilNextHour
index 8a54ab9..c43cd5a 100644
--- a/unitproc/bktemp-timeUntilNextHour
+++ b/unitproc/bktemp-timeUntilNextHour
@@ -1,6 +1,5 @@
 #!/bin/bash
 # Desc: Template to report seconds until beginning of next hour
-# Author: Steven Baltaktei Sandoval; License: GPLv3+
 
 #==BEGIN Define script parameters==
 #===BEGIN Declare local script functions===
@@ -9,10 +8,12 @@ die() { yell "$*"; exit 111; }
 try() { "$@" || die "cannot $*"; }
 timeUntilNextHour(){
     # Desc: Report seconds until next hour
+    # Version 1.0.0
     # Output: stdout: integer seconds until next hour
     # Output: exit code 0 if stdout > 0; 1 if stdout = 0; 2 if stdout < 0
     # Usage: timeUntilNextHour
     # Usage: if ! myTTL="$(timeUntilNextHour)"; then yell "ERROR in if statement"; exit 1; fi
+    
     local returnState TIME_CURRENT TIME_NEXT_HOUR SECONDS_UNTIL_NEXT_HOUR
     TIME_CURRENT="$(date --iso-8601=seconds)"; # Produce `date`-parsable current timestamp with resolution of 1 second.
     TIME_NEXT_HOUR="$(date -d "$TIME_CURRENT next hour" --iso-8601=hours)"; # Produce `date`-parsable current time stamp with resolution of 1 second.
@@ -20,21 +21,21 @@ timeUntilNextHour(){
     if [[ "$SECONDS_UNTIL_NEXT_HOUR" -gt 0 ]]; then
 	returnState="true";
     elif [[ "$SECONDS_UNTIL_NEXT_HOUR" -eq 0 ]]; then
-	returnState="WARNING_ZERO";
+	returnState="warning_zero";
 	yell "WARNING:Reported time until next hour exactly zero.";
     elif [[ "$SECONDS_UNTIL_NEXT_HOUR" -lt 0 ]]; then
-	returnState="WARNING_NEGATIVE";
+	returnState="warning_negative";
 	yell "WARNING:Reported time until next hour is negative.";
     fi
 
     try echo "$SECONDS_UNTIL_NEXT_HOUR"; # Report
     
-    #===Determine function return code===
+    # Determine function return code
     if [[ "$returnState" = "true" ]]; then
 	return 0;
-    elif [[ "$returnState" = "WARNING_ZERO" ]]; then
+    elif [[ "$returnState" = "warning_zero" ]]; then
 	return 1;
-    elif [[ "$returnState" = "WARNING_NEGATIVE" ]]; then
+    elif [[ "$returnState" = "warning_negative" ]]; then
 	return 2;
     fi
 } # Report seconds until next hour
@@ -47,3 +48,6 @@ try echo "Time until next hour (seconds):$(timeUntilNextHour)" # simple report
 
 if ! myTTL="$(timeUntilNextHour)"; then yell "ERROR in if statement for myTTL:$myTTL"; exit 1; fi # Use of exit code to exit early if time <= 0.
 #==END sample code==
+
+# Author: Steven Baltaktei Sandoval
+# License: GPLv3+